Skip to content
Myra Online Help Updated · 21 Aug 2026

Getting a list of the most requested URLs for a domain or subdomain

Note

The user must have at least READ permissions during the selected time period.

Note

Domains and subdomains for which a user has no permissions are skipped.

Note

For the list of most requested URLs, only a domains or subDomains specification can be passed. To retrieve information for more than one domain or subdomain, separate requests must be created.

Sends a POST request to the endpoint /statistics/top-urls/{startTime}/{finishTime}.

Description

The Get-TOP-URLS request allows the user to request a list of the most requested URLs for one domain or subdomain for the selected time period.

Requirements

Values of the request: Start Date {startTime}; End Date {finishTime}

Objects: StatisticsVO

Request

To get a list of the most requested URLs for one domain or subdomain, the start time and end time as unix timestamp need to be added to the path of the request.

For a detailed specification of which information is required to get a statistic, the following attributes need to be defined in the body:

Attributes Description Values
domains An array with the names of only one domain.NoteTo include a domain with all its subdomains, the attribute subDomains must be empty. string
subDomains An array with the names of only one subdomain.NoteTo include only specific subdomains, the attribute Domains can be empty. string

As a result, the user gets a statistics object for the selected domain or subdomain.

The object provides the following information:

Attributes Description Values
url The URL path of the domain or subdomain. string
count The total number of requests for the URL. integer

Example

Example request body:

{
  "domains": "string",
  "subDomains": "string",
  "url": "string",
  "count": 0
}

Responses

The following responses are available:

STATUS CODE DESCRIPTION
201 The request has succeeded and a new object has been created.
400 The request was unsuccessful. The request was invalid or information is missing.
401 The request has not succeeded because the user authentication was incorrect.
403 The request has not succeeded because the user does not have the right permissions.